{
	saved_game [0]
	Init[ ()
	{
		if( saved_game = 0 )
		{
			saved_game = 1;
		SetNationality(1);
		GiveWeapon(56);
		SetRunning();
		PlayAnimation(7);
		SetEntityDamage(256);
		DropWeaponOnDeath(false);
		}

	}]

	GoPath[ (pathName, speed)
	{
		Level.Log ("--> GoPath():  " # GetID());
		switch(speed)
		{
			case 0
			{
				// Run along path
				SetRunning();
				PlayAnimation(0);
			}
			case 1
			{
				// Walk along path
				SetCrouching();
				PlayAnimation(1);
			}
		}

		FollowPath(pathName);
		FollowPathCallback( 127, "GoPatrol" );
		Level.Log ("<-- GoPath():  " # GetID());
	}]

	GoPatrol [()
	{
		Level.Log ("--> GoPatrol():  " # GetID());
		SetAttackDistance (15, 6);
		SetState_Patrol (1);
		SetLineOfSight(0);
		SetWander (0);
		SetWalkToDist( Random(8, 12) );
		Level.Log ("<-- GoPatrol()" # GetID());


	}]

}

